﻿package {
	
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.media.Sound;
	import flash.media.SoundMixer;
	import flash.media.SoundChannel;
	import flash.net.URLRequest;
	import flash.utils.ByteArray;
	import flash.geom.Rectangle;
	
	public class Spectre extends Sprite{
		
		private var _son:Sound;
		private var _canal:SoundChannel;
		private var _grapheSpectre:BitmapData;
		
		public function Spectre(sound:String){
			_grapheSpectre = new BitmapData(650,650,false,0x000000);
			var bitmap:Bitmap = new Bitmap(_grapheSpectre);
			addChild(bitmap);
			bitmap.x=10;
			bitmap.y=10;
			
			
			_son = new Sound(new URLRequest(sound));
			_canal = _son.play();
		
			addEventListener(Event.ENTER_FRAME, onEnterFrame);		
		}
		
		private function onEnterFrame(evenement:Event):void{
			//Crée le tableau d'octets et le remplit de données
			var spectre:ByteArray = new ByteArray();
			SoundMixer.computeSpectrum(spectre);
			
			//Effacer le bitmap
//			_grapheSpectre.fillRect(_grapheSpectre.rect,0x42ff00);
			_grapheSpectre.fillRect(_grapheSpectre.rect,0x000000);
		
			_posx=0;
			_posy=0;
			//Canal gauche
			var z : Number = 0;
			var s : Number = z*7;
			for(var i:int=0;i<256;i++){
				//_grapheSpectre.setPixel32(i,20+spectre.readFloat()*20,0xffffffff);

				
//___animes violettes				 
				
				_my_readFloat = spectre.readFloat();
				
				val=_my_readFloat*300;
				val2=_my_readFloat*950;
				val3=_my_readFloat*50;
				val4=_my_readFloat*150;
				val5=_my_readFloat*250;
				
//				_rect6= new Rectangle(_posx+175,_posy-val+150,300,5);
//				_grapheSpectre.fillRect(_rect6,0x3b2676);
				
				
				_recto= new Rectangle(_posx+65,_posy+val5*1.5+190,50,1);
				_grapheSpectre.fillRect(_recto,0xffffff);
				
				_rectp= new Rectangle(_posx+545,_posy+val5*1.5+190,50,1);
				_grapheSpectre.fillRect(_rectp,0xffffff);
				
				
				
				_rect5= new Rectangle(_posx+val+175,_posy+val+170,300,4);
				_grapheSpectre.fillRect(_rect5,0xffffff);
				
				_rect7= new Rectangle(_posx-val+175,_posy+val+170,300,5);
				_grapheSpectre.fillRect(_rect7,0xffffff);
				
				_rect8= new Rectangle(_posx+122,_posy+val2*1.3+50,400,1);
				_grapheSpectre.fillRect(_rect8,0xffffff);
				
				
				
				_rectc= new Rectangle(_posx+330,_posy+val5+350,10,15);
				_grapheSpectre.fillRect(_rectc,0x000000);
				
				_recta= new Rectangle(_posx+310,_posy+val5+350,10,15);
				_grapheSpectre.fillRect(_recta,0x000000);
				
	/*			_rectb= new Rectangle(_posx+320,_posy+val5+350,10,8);
				_grapheSpectre.fillRect(_rectb,0x000000);
	*/			
				
				_recti= new Rectangle(_posx+320+val5,_posy+500+(i),2,100);
				_grapheSpectre.fillRect(_recti,0xffffff);
				
		/*		_rectd= new Rectangle(_posx+370,_posy+val4+550,10,3);
				_grapheSpectre.fillRect(_rectd,0x666fff);
				
				_recte= new Rectangle(_posx+350,_posy+val4+550,10,3);
				_grapheSpectre.fillRect(_recte,0x666fff);
				
				_rectf= new Rectangle(_posx+330,_posy+val4+550,10,3);
				_grapheSpectre.fillRect(_rectf,0x666fff);
				
				_rectg= new Rectangle(_posx+310,_posy+val4+550,10,3);
				_grapheSpectre.fillRect(_rectg,0x666fff);
				
				_recth= new Rectangle(_posx+290,_posy+val4+550,10,3);
				_grapheSpectre.fillRect(_recth,0x666fff);
				
				_recth= new Rectangle(_posx+270,_posy+val4+550,10,3);
				_grapheSpectre.fillRect(_recth,0x666fff);
				
		*/
				
//___carré blancs				

				
				_rect1= new Rectangle(_posx+val3*5+400,_posy+370+val3*5,200,200);
				_grapheSpectre.fillRect(_rect1,0x000000);
				
				_rect2= new Rectangle(_posx-val3*5+50,_posy+370+val3*5,200,200);
				_grapheSpectre.fillRect(_rect2,0x000000);
				
				_rect3= new Rectangle(_posx-val3*2+110,_posy+110-val3*2,150,150);
				_grapheSpectre.fillRect(_rect3,0x000000);
				
				_rect4= new Rectangle(_posx+val3*2+390,_posy+110-val3*2,150,150);
				_grapheSpectre.fillRect(_rect4,0x000000);

				
			}
		/*		
			//Canal droit
		for(var j:int=0;j<650;j++){
				//_grapheSpectre.setPixel32(j,40+spectre.readFloat()*40,0xffffffff);
				
/*					_rect9= new Rectangle(_posx+320,_posy+val2+5,10,1);
				_grapheSpectre.fillRect(_rect9,0x000000);
*/		
				
		
			//}
	
			
		}
	}
	
}